#!/bin/sh
#
# Run this script in the top level directory to create the translated man pages:
#
# Once the TP module has been created, this command gets the latest po files:
# echo "Getting the latest translations from translationproject.org..."
# rsync -Lrtvz  translationproject.org::tp/latest/parted-man/  man
# rsync -Lrtvz  translationproject.org::tp/latest/parted-texi/  texi

# This threshold is the minimum percentage of translated strings per resulting
# document (not per po file). It defaults to 80 and can be screwed down for
# testing purposes, even to zero. But keep in mind, users doesn't really
# benefit from translations with less than 80%, so better keep the default.
threshold=0



for lang in *.po
  do
    cd man
    mkdir -p ${lang%.*}/{man1,man5}

    po4a-translate -f man -M utf-8 -k ${threshold} -m nano.1 -p ../${lang} -l ${lang%.*}/man1/nano.1
    po4a-translate -f man -M utf-8 -k ${threshold} -m nanorc.5 -p ../${lang} -l ${lang%.*}/man5/nanorc.5
    po4a-translate -f man -M utf-8 -k ${threshold} -m rnano.1 -p ../${lang} -l ${lang%.*}/man1/rnano.1

done

cd ..

for lang in *.po
  do
    cd texinfo
    po4a-translate -f texinfo -M utf-8 -k ${threshold} -m nano.texi -p ../${lang} -l nano-${lang%.*}.texi

done